## org.eclipse.datatools.sqltools.plan
Class PlanServiceRegistry

    java.lang.Object
      org.eclipse.datatools.sqltools.plan.PlanServiceRegistry

    public class PlanServiceRegistry

extends java.lang.Object

Registry for "planService"

Author:
  Dafan Yang

Method Summary
`static PlanServiceRegistry` `getInstance()`
`IPlanService` `getPlanService(java.lang.String databaseDefinitionId)` Returns the plan service given the database definition id

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PlanServiceRegistry getInstance()

### getPlanService

    public IPlanService getPlanService(java.lang.String databaseDefinitionId)

  Returns the plan service given the database definition id

  Parameters:
    `databaseDefinitionId` - the database definition id
  Returns:
    the plan service